﻿
using System;
using System.IO;
using Wisej.Web;

namespace DxGridSample
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            this.dxDataGrid1.Options.dataSource = JSON.Parse(File.ReadAllText(Application.MapPath("Data/DataGrid/Fornecedores.json")));
        }

        private void btnAddRow_Click(object sender, EventArgs e)
        {
            this.dxDataGrid1.Instance.addRow();

            // after adding the new row, I would like to set default values to the newly created row cells, like:
            // ID = "-1"
            // Unidade = "Test Unidade"
            // Nome = "Test Nome"
            // Estado = "AA"
        }

        // This is what I had tried before, since I added the initNewRow to the Wisej DevEx dxGrid Extension:

        //private void dxDataGrid1_initNewRow(object sender, WidgetEventArgs e)
        //{
        //    object loValue = e.Data.data;
        //    e.Data.data.ID = "-1";
        //    e.Data.data.Unidade = "Test Unidade";
        //    e.Data.data.Nome = "Test Nome";
        //    e.Data.data.Estado = "AA";
        //}

    }
}
